@font-face {
  font-family: 'Gotham';
  src: url('../font/Gotham\ Medium.ttf');
}

:root {
  --menu_background: #A52A2E;
  --menu_background_red: #b1161b;
  --menu_background_yellow: #fcc748;
  --menu_background_dark: #2d2d2d;
  --menu_background_dark_blue: #002761;
  --motus_red: #A52A2E;
  --motus_blue: #8cc9ff;
  --motus_yellow: #ffe84e;
  --team_yellow: #FBC800;
  --team_blue: #1681C7;
}


table#word_list>td {
  font-size: 1em;
  padding-right: 1rem;
  font-family: monospace;
}

div#main_menu {
  background-color: var(--menu_background);
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}

.style_1990#main_menu { background-color: var(--menu_background_dark_blue); }
.style_2000#main_menu { background-color: var(--menu_background_red); }
.style_2004#main_menu { background-color: var(--menu_background_yellow); }
.style_2019#main_menu { background-image: linear-gradient(0, #2caaff 25%, #134d93 75%);}


div#main_menu_content {
  display: flex;
  flex-direction: column;
  align-items: center;
  }

#help_page {
  background-color: var(--motus_blue);
}

#settings_page p {
  font-weight: bold;
  padding-bottom: 1em;
  padding-left: 3vw;font-size: x-large;
}

.button#nav_button {
  font-size: 2em;
  padding-left: 2vw;
  padding-right: 2vw;
}

keyboardkey {
  color: var(--system_color_base_low);
  vertical-align: middle;
  background-color: ffffff;
}

div#game_page {background-color: var(--motus_blue);background: linear-gradient(0turn, var(--motus_blue), #50abfb);}
div#game_page.style_1990 {
  background-color: #80dedf;
  /* background: linear-gradient(90deg, #b1d6e5, #e3bbce, #efa17c); */
  background: #80dedf;
}
div#game_page.style_2000 {
  background-color: #fcfba9;
  background: #fcfba9;
  background: linear-gradient(180deg, #efa17c, #fcfba9);
}

div#debug_page {
  background-color: #3e2792;
}

table#word_list {
  border-left: 2px solid #4CAF50;
  background-color: #f0f8ff;
  display: block;
  overflow-y: scroll;
  padding: 2.5vh;
}

img#logo {
  width: clamp(0rem, 75%, 25rem);
  /* margin-left: 25vw; */
  margin-top: 7.5vh;
  /* margin-bottom: 17vh; */
}

img#preview_img {
    height: 10rem;
}

.button.menu_button {
  width: 60vw;
  height: 8vh;
  font-size: 1.5em;
  margin-bottom: 1vh;
  background-color: #0003;
  border-radius: 2px;
  border: 1px solid #0000004d;
  color: white;
  font-weight: bold;
}

.button.menu_button:hover {
  background-color: #0005;
  border-color: white;
}

.topbar_button_group {
    display: flex;
    flex-direction: column;
    align-content: center;
    justify-content: center;
    align-items: center;
}

.topbar {
  display: flex;
  align-items: center;
  justify-content: space-between;
  background-color: #0000001a;
  padding: 0.5rem;
  }

div#game {
  /* position: fix;/* display: flex;;/* flex-wrap: nowrap; */
  flex-direction: column;
  bottom: 0;
  position: fixed;
}

.caroussel {
  display: flex;
  width: 80vw;
}

button.button.menu_button.menu_button_caroussel {
  width: 40vw;
}

div#version_placeolder #game {
  padding-right: 1vw
;padding-left: 1vw;}

.topbar img {filter: invert(1);height: 2.5rem;padding: 0.4rem;}

div#number_grid_content {display: flex;transition: 0.33s;}

div#number_grid_actions {width: 100vw;display: flex;/* background: aqua; */align-items: center;justify-content: center;}

#user_actions {display: inline-flex;/* height: 100%; */max-height: 27.5vh;width: 200%;flex-direction: row;flex-wrap: nowrap;/* background-color: green; */overflow-x: clip;}

#keyboard {
  /* opacity: 0; */
  /* padding: 5px; */
  margin: 10px 0;
  width: 100%;
  display: flex;
  flex-direction: column;
  transition: .125s;
  /* background-color: purple; */
  justify-content: center;
  align-items: center;
  border: none;
  /* transition: .25s; */
}

#version {
  color: white;
  padding: 0.75rem;
  font-weight: bold;
  font-size: larger;
}

.page {
  height: 100%;
  width: 100%;
  /* overflow: scroll; */
  scrollbar-width: thin;
  overflow-x: hidden;
}

.keyboard_layer {
  /* padding: 1rem 1.5rem; */
  font-size: 1.5rem;
  border-radius: .3rem;
  justify-content: center;
  align-items: center;
  /* width: 100%; */
  display: grid;
  grid-template-columns: repeat(10, 1fr);
}

.keyboard_key {
  background-color: white;
  padding: 1rem clamp(10px, 3vw, 1.5rem);
  font-size: clamp(9px, 4vw, 25px);
  border-radius: .3rem;
  font-weight: bold;
  font-family: monospace;
}
.keyboard_key_submit, .keyboard_key_remove {
  background-color: #b6deff;
}

#keyboard.hided{transform: translate(-50vh, 0);width: 0;padding: 0;}


div#topbar_game_buttons  {
    display: flex;
}
div#topbar_game_buttons>div  {
    margin: 0 10px;
}

span.topbar_label {
    font-weight: bold;
    color: white;
    text-align: center;
}

div#number_grids {
    display: flex;
    height: 100%;
    width: 100%;
    justify-content: center;
    align-items: center;
}

.number_grid_placeolder {
  width:0;
  /* transition: .25s; */
  opacity: 0;
}
.number_grid_placeolder.active {
  width: unset;
  opacity: 1;
}


.d-flex>input {
  width: 100%
}

.topbar-page {
  display: inline-flex;
  height: 75px;
  text-align: center;
  width: 100vw;
  /* background-color: #afc8ed; */
  padding: 10px 0;
  border-bottom: 1px solid #ddd;
  justify-content: space-between;
}
.topbar-page>div {
  display: flex;
  margin:0 10px;
}
.topbar-page>button {
  margin:0 10px;
}

.settings_input {
  animation: sliding_div 0.5s ease-in-out;
}

.input#settings_input_yellow_team_name {
  background-color: var(--team_yellow);
  border: 1px solid #00000040;
  text-transform: uppercase;
  font-weight: bold;
}

.input#settings_input_blue_team_name {
  background-color: var(--team_blue);
  border: 1px solid #00000040;
  text-transform: uppercase;
  font-weight: bold;
}

.protip {
  display: none;
  text-align: center;
}

.protip>a,
.protip>p {
  text-align: center;
}



div#number_grid_interactions {display: flex;padding: 5px 0;/* width: 100%; *//* background-color: orange; */flex-direction: column;justify-content: center;align-items: center;}

div#top_game_content {height: 100%;}

label.button_label {color: white;text-align: center;}

.stateViewer {
    background: #0f0f0f;
    color: #00ff9c;
    padding: 15px;
    border-radius: 8px;
    font-family: monospace;
    font-size: 13px;
    max-height: 400px;
    overflow: auto;
    white-space: pre-wrap;
}

#logo_placeholder {
    display: flex;
    justify-content: center;
}


/* Desktop: */
@media only screen and (max-width: 500px) {
  div#topbar {
  display: flex;
  /* flex-direction: column; */
  flex-wrap: wrap;
  align-items: flex-start;
  }
  .topbar_label {
    font-size:small;
  }
  .topbar_button_group {
    flex-direction: row;
  }
  div#topbar_game_buttons>div {
    margin: 0;
  }
  div#topbar_game_buttons  {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
  }
  .topbar img {
    filter: invert(1);
    height: 1.5rem;
    padding: 0.4rem;
}
  div#number_grid_interactions, div#number_grid_actions, div#number_grid_post_action {
    flex-direction: column;
    justify-content: center;
}
}


#word_typing_indicator, #word_typing_mask {
    display: flex;
    font-size: 2rem;
    color: white;
    background: black;
    font-family: monospace;
    letter-spacing: 3px;
}

div#word_typing_indicator_placeholder {
    display: flex;
    justify-content: center;
    margin-bottom: 5px;
}

div#number_grid_post_action {
    display: flex;
}

div#number_grid_random_selection_mode_section, #number_grid_purgatory_placeholder {
    padding: 5px;
    border: 1px solid white;
    background-color: #ffffff61;
    border-radius: 5px;
    margin: 5px;
}

span#number_grid_random_selection_left_indicator {
    text-wrap-mode: nowrap;
    font-weight: bold;
}